body {
  background-color: #343a40; /* Standardfarbe für Dark Mode */
  color: white;
  position: relative; /* Für das Positionieren des Footers */
  min-height: 90vh; /* Damit der Footer immer am Ende bleibt */
  padding-bottom: 5rem; /* Platz für den Footer */
}
body.light-mode {
  background-color: white;
  color: black;
}
input.form-control.dark-mode,
textarea.form-control.dark-mode {
  background-color: #495057;
  color: white;
  border: 1px solid #6c757d;
}
input.form-control.light-mode,
textarea.form-control.light-mode {
  background-color: white;
  color: black;
  border: 1px solid #ced4da;
}
label {
  display: inline;
}
.form-check-input {
  cursor: pointer;
}
.form-check-input.dark-mode {
  background-color: #495057; /* gleiche Hintergrundfarbe wie die Inputs */
  border-color: #9f1e3b; /* Neue Randfarbe */
  color: white; /* Textfarbe */
}
.form-check-input.light-mode {
  background-color: white; /* gleiche Hintergrundfarbe wie die Inputs */
  border: 1px solid #ced4da;
  color: black; /* Textfarbe */
}
.form-check-input.light-mode:checked {
  background-color: #9f1e3b; /* Neue Farbe beim Aktivieren */
  border-color: #9f1e3b; /* Neue Randfarbe beim Aktivieren */
}
.form-check-input.dark-mode:checked {
  background-color: #9f1e3b; /* Neue Farbe beim Aktivieren */
  border-color: #9f1e3b; /* Neue Randfarbe beim Aktivieren */
}
.btn-primary {
  background-color: #9f1e3b; /* Neue Primärfarbe */
  border-color: #9f1e3b; /* Neue Randfarbe */
}
.btn-primary:hover {
  background-color: #d53f0e; /* Etwas dunkler für Hover-Effekt */
  border-color: #d53f0e; /* Etwas dunkler für Hover-Effekt */
}

/* Fokusfarbe anpassen */
.form-control:focus,
.form-check-input:focus {
  border-color: rgba(238, 76, 19, 0.5); /* Fokusfarbe mit Transparenz */
  box-shadow: 0 0 0 0.2rem rgba(238, 76, 19, 0.25); /* Schatteneffekt für Fokus */
}

/* Link-Farbe anpassen */
a {
  color: #9f1e3b; /* Neue Link-Farbe */
}
a:hover {
  color: #ee4c13; /* Hover-Farbe für Links */
}

/* Navigationsleiste */
.navbar {
  background-color: #9f1e3b;
  height: 13vh; /* Höhe in vh */
  border-radius: 0.375rem; /* Gleicher Border-Radius wie Input-Felder */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Schlichter Schatten */
  display: flex;
  align-items: center; /* Vertikale Zentrierung des Logos */
  justify-content: center; /* Horizontale Zentrierung des Logos */
}
.navbar img {
  max-height: 8vh; /* Maximale Höhe des Logos */
  height: auto;
  width: auto;
}

/* Platz zwischen der Navigationsleiste und dem Schalter */
.form-check {
  margin-top: 2rem; /* Abstand oben */
}

/* Footer-Stil */
.footer {
  background-color: #495057; /* Gleiche Hintergrundfarbe wie die Inputs im Dark Mode */
  color: white;
  padding: 1rem 0;
  text-align: center;
  border-radius: 0.375rem; /* Gleicher Border-Radius wie Input-Felder */
  position: absolute;
  bottom: 5vh; /* Abstand vom unteren Bildschirmrand */
  right: 0;
  left: 50%; /* Positionierung für zentrierten Footer */
  transform: translateX(-50%); /* Zentrierung des Footers */
  width: calc(100% - 2rem); /* Breite mit Padding für den Footer */
  max-width: 600px; /* Maximale Breite */
}
.footer a {
  color: white;
  margin: 0 0.5rem; /* Abstand zwischen Links */
}